import { AuthUser, type OAuth2Token } from "./auth.js";
import { BaseProvider } from "./base_provider.js";
export declare const NamePatreon = "patreon";
export declare class Patreon extends BaseProvider {
    constructor();
    FetchAuthUser(token: OAuth2Token): Promise<AuthUser>;
}
